/*
 * SYNINITA.H
 *
 *    Initial Synthesis Header
 *
 */

#ifndef __SYNINITA_H
#define __SYNINITA_H

#include "synbase.h"
#include "wlagent.h"

class synInitial : public synBaseAuth {     // default URL
public:
     synInitial(
     acthSession* _ses,
     bool anonok,
     INT lvlcnt=0) : synBaseAuth(_ses,anonok,AgentKey,lvlcnt)
     {
     }

     ~synInitial()
     {
     }

protected:
     ACTHCODE
     proceedRequest();                      // setup request context

     ACTHCODE
     proceedSynth();                        // proceed with synthesis

     ACTHCODE
     proceedDerivedResponse();              // proceed with response

     INT
     translateError();                  // translate err to mcv file op
};

#endif __SYNINITA_H

